Index: palm/trunk/UTIL/inifor/tests/util.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/util.f90	(revision 3178)
+++ palm/trunk/UTIL/inifor/tests/util.f90	(revision 3182)
@@ -21,4 +21,5 @@
 ! Current revisions:
 ! -----------------
+! Expose error measure as parameter in assert_equal()
 ! 
 ! 
@@ -74,9 +75,15 @@
     END SUBROUTINE end_test
 
-    LOGICAL FUNCTION assert_equal(a, b, msg)
+    LOGICAL FUNCTION assert_equal(a, b, msg, ratio)
+       REAL, OPTIONAL, INTENT(IN)     ::  ratio
        REAL, DIMENSION(:), INTENT(IN) ::  a, b
-       CHARACTER(LEN=*), INTENT(IN)   :: msg
+       CHARACTER(LEN=*), INTENT(IN)   ::  msg
 
-       assert_equal = assert(a, b, 'eq')
+       IF ( PRESENT(ratio) )  THEN
+           assert_equal = assert(a, b, 'eq', ratio)
+       ELSE
+           assert_equal = assert(a, b, 'eq')
+       END IF
+
        IF (assert_equal .eqv. .TRUE.)  THEN
            PRINT *, "Equality assertion for ", msg, " was successful."
@@ -88,8 +95,8 @@
     END FUNCTION assert_equal
 
-    LOGICAL FUNCTION assert(a, b, mode, eps)
+    LOGICAL FUNCTION assert(a, b, mode, ratio)
 
        REAL, DIMENSION(:), INTENT(IN) ::  a, b
-       REAL, OPTIONAL, INTENT(IN)     ::  eps
+       REAL, OPTIONAL, INTENT(IN)     ::  ratio
        CHARACTER(LEN=*), INTENT(IN)   ::  mode
 
@@ -98,5 +105,5 @@
 
        max_rel_diff = 10 * EPSILON(1.0)
-       IF (PRESENT(eps)) max_rel_diff = eps
+       IF (PRESENT(ratio)) max_rel_diff = ratio
 
        SELECT CASE( TRIM(mode) )
